Forums » SEPHP Help and Tips

Difficulties upgrading to latest version of SocialEngine PHP

    • 28 posts
    September 23, 2017 12:16 AM EDT

    Hello! My name is Rebecca, and I'm a newbie at this, so please bear with me.

    About a year ago, my company bought the Advanced version of SocialEngine PHP through FastComet, the company we use for hosting our website, www.radiosalescafe.com.

    I built the site using an earlier version of SocialEngine, using the Quantum Red theme. When FastComet attempted to upgrade the site from that earlier version (version 4.8.? to the best of my recollection) to version 4.9.2, the appearance/layout of the website was really messed up.

    Not knowing how to fix this, I had FastComet restore the site to its previous state using the backup they had made. However, something went wrong in this process: even though the website had none of the features that version 4.9.2 is supposed to have - the appearance and functionality was exactly the same as before the upgrade - the admin panel said (and still says) that the site is operating on 4.9.2p1.

    FastComet techs suggested that this problem would be solved with an upgrade to version 4.9.3, but since I didn't want to risk screwing up the site again, I had them make a cloned site to test the upgrade and work out any bugs. At the suggestion of a techie friend who's knowledgeable about SocialEngine, I installed SocialEngine's default theme on the cloned site and then attempted to upgrade to the latest version of SocialEngine - this time 4.9.4p2 - in the hopes that it would work better. But the result is the same: the appearance of the website is horribly altered. (See these screenshots of the real site running on the earlier version versus the cloned site post-upgrade: http://bit.ly/2hpGwn1 and http://bit.ly/2wHJlKQ)

    Can anyone provide me with any direction about how to achieve a more seamless upgrade or point me to a resource that could give me that information? My company is willing to pay for support. Any ideas, links, or direction you can give - preferably in easy-to-understand terms - would be greatly appreciated.

    Thank you!

    Rebecca

  • gs
    • 861 posts
    September 23, 2017 12:42 AM EDT

    Welcome Rebecca.

    I too use FastComet and trust them (in fact I just finished a Support Tix prior to reading your post).  I'm assuming you already cleared the SE Cache and your Browser Cache?

    Although I experienced this months ago when I too upgraded to 4.09.02 with PHP7.1* and REDIS, it was due to a Disabled Plugin interfering with PHP 7.1.*.  Once it was removed, things were fine (it wasn't until 4.09.04 that supposedly Disabled Plugins will no longer interfere with the site).  But that may obviously not be the issue here.

    So, although I would suggest you look for any 3rd-Party Plugins that may require upgrading, my guess is that is NOT the case here due to what you mentioned about restoring the 4.8? site yet you're getting conflicting version results (i.e. new features don't exist which shouldn't due to the restore, yet you're seeing 4.9.2p1).  FC has performed restores 3-4x for me (in fact, I just did one about 2 hrs ago) always with successful results (i.e. the site is exactly just as it was).

    Hopefully someone else here will chime in who has seen this before (i.e. restore older version yet some new 'stuff' exists somehow).  If not, SE Support bailed me out of my issue because FC was stumped (because it seemed to be a Script issue - outside of their service area) until SE Support determined the cause of my issue.  I went to SE rather than the 3PDs I regularly use so that if it happened to be a 3PD issue, I could explain that it was SE that determined this, not another 3PD or FC/host, not me, not a colleague, etc. - but the Dev of the Script saying so (less likely to disagree with something straight from SE).

    Sorry I couldn't be of more help.  I'm still bewildered about the old/new version status.


    This post was edited by gs at September 23, 2017 12:51 AM EDT
    • 28 posts
    September 23, 2017 12:51 AM EDT

    Hello GS! Thank you for your reply - I appreciate it!

    I don't believe I have any 3rd-Party Plugins, because I've kept the site really simple, just using the options that SE provides for editing, etc.

    I'm not sure if the Quantum Red theme qualifies as a 3rd-Party Plugin? It was one of the options available in the theme editor area of the admin section. Even if it was, I don't think that would be the root issue, because I activated SE's default theme on the cloned site before trying the upgrade again, and the results were basically the same.

    Thanks again!

    Rebecca

    P.S. I was emailed a copy of the post you deleted, and no, not a silly question for this newbie . . . I sometimes forget about the benefits of clearing cache/browser. Just tried it now in Chrome, and reloaded the cloned site, and it's still not helping. But I appreciate the reminder!

    P.P.S. Just reread your question, and now I have another question: how do I go about clearing the cache in SE?


    This post was edited by RebeccaH at September 23, 2017 12:56 AM EDT
  • gs
    • 861 posts
    September 23, 2017 1:01 AM EDT

    You're welcome

    ==>"I'm not sure if the Quantum Red theme qualifies as a 3rd-Party Plugin?"

    It's an SE/Webligo Theme (not 3PD).  And as you mentioned, you've activated the Default Theme anyway to test, but with the same results.

    The differing version thing still has me bewildered.  What version of PHP are you running?

    Since you're willing to pay to have this resolved (that's the way I feel - many ADMINs here sadly refuse to go this route) I'd consider just contacting SE Support Monday if no one else offers any solutions here that work. 

    What's also bugging me is how the restore didn't work - unless somehow the backup was run during the upgrade process?  FC typically keeps a weekly backup as well, which you may want to ask them to set aside so it's not overwritten, just in case you need that if there's something wrong with your daily that was used for restoring.

     


    This post was edited by gs at September 23, 2017 1:03 AM EDT
  • gs
    • 861 posts
    September 23, 2017 1:10 AM EDT

    ==>"how do I go about clearing the cache in SE?"

    There are 2 methods I'm familiar with, so I may be corrected that one might be better than the other.  Anyway, from your main ADMINcp (if you can see it, due to the display issue you're having) you'll see the Development and Production Buttons on the right (the current state is selected, not greyed out), below the Quick Stats. If Development is greyed out, just click on it (it'll take several seconds depending on your server) then when it is complete, a message should appear at the top of the page informing you that you're in Development Mode.  At this point, simply select the Production Button (which should be greyed-out) and after several seconds again you should be back in Production Mode.

    There's also an opton in the Performance and Caching page of the Settings Menu, but there's also other settings that could accidentally be changed, so although that works, I don't want to be the one recommending that route (but again, someone else may chime in and say that's better, but I'm not aware of that yet).

     

    • 28 posts
    September 23, 2017 1:21 AM EDT

    I actually have a ticket in to SE Support, but thought I'd try all the options I could think of in the meantime to get some answers.

    To the best of my knowledge, the site should be running on PHP v.4.8.? (maybe 4.8.13? - I was trying to track down the exact number tonight, without success, but I know it was an upgrade to one of the early versions of 4.9, since I'd been waiting for it to come out and to have the early bugs fixed before upgrading). Unfortunately, the first attempt at an upgrade was made quite some time ago, so I don't think the backup I'd need is still available. Not to mention, since it's an active community, there's a lot of content that's been posted to the site that would be lost.

    I asked FastComet about why the restore didn't work, and they didn't have any answers. And again, it was unfortunately a significant amount of time after the restore that I noticed the site said it was running on 4.9.2 when it actually wasn't. (Since the site looked and functioned as it had before the upgrade, I didn't even think to check the version number in the admin panel - one of those live and learn moments.)

    Thanks for the info on clearing the SE Cache. I'm calling it a night for now, but I will definitely give that a try. Appreciate all your help!


    This post was edited by RebeccaH at September 23, 2017 1:22 AM EDT
  • gs
    • 861 posts
    September 23, 2017 1:30 AM EDT

    I just loaded the site at the primary URL, and it looks fine so you should be able to access the SE ADMINcp to find out the SE Version.  FC should be able to clone this site instead of using a backup (unless I'm missing something here). 

    Also, for cloning/testing you may want FC to use a folder (yourdomain.com/foldername) instead of a subdomain (dev2.yourdomain) since a folder should use the same licensing (SE and 3PD) of the primary domain, but the dev2.yourdomain may be preventing a Plugin from loading/functioning properly.

     


    This post was edited by gs at September 23, 2017 1:37 AM EDT
    • 28 posts
    September 23, 2017 1:42 PM EDT

    Good morning! I read your latest post and am not sure if I'm missing something? Or I may have miscommunicated in my previous post? I'm assuming www.radiosalescafe.com is the URL you looked at; this is the live site, the one that was initially upgraded to the latest version of SE, messed up, and then restored from the backup generated before the upgrade, so it *should* be running on v 4.8.whatever and now says it's running on v.4.9.2 even though it has none of the new features/functionality that 4.9.2 was supposed to have and is running exactly the same way as when it was operating on 4.8.?. This is also the site that I had FC clone, so that I could do further testing on the upgrade without jeopardizing the actual site for any significant amount of time, and I described in my initial post what happened when I tried the upgrade after switching to the default theme.

    I appreciate your suggestion about the cloned site, using a folder instead of a subdomain. I'll take that up with FastComet on Monday and keep you posted. Thanks again, and hope you have a great weekend!

  • gs
    • 861 posts
    September 23, 2017 1:49 PM EDT

    Ah - where I got confused is I thought that this site looked 'wrong' after all of the steps you mentioned.

    If you're curious, you could take a look at your Packages & Plugins section from the Manage Menu in ADMINcp to see two things: A) What the versions are for each of the individual SE Modules (to see if they're 4.08.* or 4.09.*); and B) if there truly are any 3PD Plugins listed that you may not have been aware of.

     

     

    • 28 posts
    September 25, 2017 6:54 PM EDT

    Hello GS! Thank you for the additional info about looking at the Packages & Plugins. Just did that, and sure enough, none of them are version 4.9.*; they're all 4.8.12 or lower. And I'm not seeing any 3rd party plugins; they're all Webligo Developments' products. This being the case, is it still worthwhile to have FastComet use a folder rather than a subdomain to create another cloned site for testing? (I haven't had a chance to check with them yet today.)

    Unfortunately, I also heard from SocialEngine tech support saying that because we purchased our SE license through FastComet, any tech support has to come through FC rather than SE - even though we're willing to pay for SE support. And when I've approached FC about this issue previously, they've said it's a site development issue and therefore outside their scope of practice. Do you have any ideas about where to turn next?

    Just to clarify: our objective at this point is to be able to upgrade our site to the latest version of Social Engine, primarily so that our site will be responsive across viewing devices (which it is not at present). I believe this is a theme issue. All tests up to this point indicate that such an upgrade will have far-reaching negative impact on the site's appearance and functionality, and I do not have the expertise to fix the bugs that will occur. So recommendations of where we might be able to turn for paid professional help would be greatly appreciated!

    Thanks much! - Rebecca

  • gs
    • 861 posts
    September 25, 2017 7:56 PM EDT

    Sounds like you've been busy working on this.

    - I'm no expert so pls keep that in mind

    - You're welcome.  

    - Pkgs/Plugins: At least you know these details for sure.  What's interesting is that all these show <= 4.8.12 but ADMINcp still shows 4.09.02p1

    - I'm surprised, almost shocked that SE won't let you pay them to support their own product, regardless of FC as the reseller.  Many 3PDs and Hosts resell SE.

    - Folder vs. sub-domain: I was simply trying to eliminate a possible issue

    - Where to turn: There are some excellent experts here that can help, but I'd personnally push SE to help.  Abandoning a client who is willing to pay for support doesn't make sense and looks bad for SE.  If SE still chooses to turn away a client (if this truly is their stance, and hopefully someone from SE chimes in here to plead their case)... well, I don't know.  Their reason precludes you from ever receiving support from them, so you have to make a choice to continue down a path knowing you're somewhat on your own, or switch to a product where you may receive support.  Switching includes its own challenges, pitfalls, etc, and SE is too good a good script to switch.  You're in a tough place unless SE changes their position (or maybe understands your situation better).

    - Experts: I have been fortunate to have partnered with many, but some seem more available on short notice.  SocialEngineMarket, SocialEngineAddons, and SocialEngineSolutions may be willing to help.  But again, what's the point if SE will never support you?  

    ==> "... primarily so that our site will be responsive across viewing devices (which it is not at present). I believe this is a theme issue..."

    Yes, from my experience spending several hundred$ on many themes and dozens of hours with them, Responsiveness is determined mainly by the theme (except for some Plugins that specifically are coded to not be responsive).  For example, SES' SpectroMedia Theme is more responsive than others I've used, including SE's own default theme in 4.09.*.  SpectroMedia does not need a Mobile Plugin to be truly responsive on phones/tablets.  This theme makes devices mimic a desktop browser as closely as possible (on my tablets, it seems to be identical).  There are levels of Responsiveness, so not all Responsive Themes are equal, and I've used none that equal SpectroMedia.

    I mentioned all of that because that theme works great on my site, even with 4.08.12.  So you could obtain your goal of Responsiveness across viewing devices using 4.08.12 without upgrading SE.  That said, I'd still recommend upgrading to SE 4.09.* to get a more updated script as well as use PHP 7.1*.   Much has been fixed since 4.08.12, and later this year 4.10 is supposed to remove Flash which is becoming a growing issue as time marches on.

    Summary of thoughts:

    - Press SE to support their product (their decision may determine your short and long term solutions)

    - If you're primarily looking for the site to be responsive across devices, consider SpectroMedia (not sure though if SES still supports this on < 4.09.*)

    - contact an expert to help (if you decide to continue with SE)

     

    Hopefully SE will change their mind and accept your offer of paying them to get you out of this pickle  

     

     

     

     

     


    This post was edited by gs at September 25, 2017 8:02 PM EDT
    • 28 posts
    September 25, 2017 8:13 PM EDT

    GS, thank you *so* much! Really appreciate your help, insights, and suggested course of action. I will keep you posted as I move forward.

  • gs
    • 861 posts
    September 25, 2017 8:17 PM EDT

    You are very welcome.  And pls do keep me posted - my hope is that SE steps.

  • September 26, 2017 1:25 AM EDT
    gs said:

    - If you're primarily looking for the site to be responsive across devices, consider SpectroMedia (not sure though if SES still supports this on < 4.09.*)

    Thanks you @gs for appreciating our product and services. Yes, our all plugins and themes support latest version of SE.
    @RebeccaH
    If you need any of our assistance and consultation on the issue, then please contact our support team at: support@socialenginesolutions.com . We would be glad to check your website and assist you.

     

     

     

    • 28 posts
    September 26, 2017 12:12 PM EDT

    @SocialEngineSolutions - Thank you very much; I will be in touch!

    • Moderator
    • 4262 posts
    September 28, 2017 7:09 AM EDT

    Is this resolved? 

    • 28 posts
    September 28, 2017 12:36 PM EDT

    Hello Donna! No, it is not. I am waiting to hear back from Kyle at Social Engine tech support. I received an email from Social Engine Solutions and am in the process of reviewing it. Thank you!


    This post was edited by RebeccaH at September 28, 2017 12:38 PM EDT
  • September 28, 2017 12:50 PM EDT
    RebeccaH said:

    Hello Donna! No, it is not. I am waiting to hear back from Kyle at Social Engine tech support. I received an email from Social Engine Solutions and am in the process of reviewing it. Thank you!

    @RebeccaH: We have already replied to you in the email this morning and waiting to hear from you on the same. Please check your inbox and reply to us.

    • 28 posts
    September 28, 2017 1:23 PM EDT

    @SocialEngineSolutions: Yes, thank you, that's why I edited my initial reply - I got your email just a short time ago, and will reply to you as soon as I check with my employer . . . appreciate your help!

  • gs
    • 861 posts
    September 28, 2017 3:23 PM EDT

    Although it seems that SES may be helping RebeccaH, I think the community should know from SE Staff what the position is on reseller-provided SE as far as SE Support goes.  Maybe this is already stated somewhere in fine print, so my apologies if I missed it.  But even if it is, it would seem wrong that that would be the terms, yet still allow sales to Resellers anyway.  Something isn't making sense and unless this is a confidential issue with RebeccaH (thus I wouldn't ask for info), then hopefully SE will chime in on why they supposedly didn't support their product.

    • Moderator
    • 4262 posts
    September 29, 2017 7:01 AM EDT

    Resellers are required to provide support as they are the seller of the script at that point. It is in the agreement with the reseller.

    This is the same for hosting resellers. I've done that before too and was required to provide hosting support for my clients.


    This post was edited by Donna at September 29, 2017 7:02 AM EDT
  • gs
    • 861 posts
    September 29, 2017 8:35 AM EDT
    Is there any warning to (potential) clients about this? Plus, I could see (maybe) this would be the case for the initial free period of support, but to block-out a client forever from receiving paid support? That seems unfair and unethical. It isn't a grey/black market purchase, but through a 'reseller'. Due to a discount offer over 2 years ago, I almost purchased through a reseller, but thought i should support SE directly. If I did choose to save a lot of $, it would have been wasted because I could never ever receive paid support from SE. When I would have found out this policy, I know I would have been fuming and made sure the world knew about this unfair practice. This policy hurts SE and the Client. smh ...
    • Moderator
    • 4262 posts
    September 29, 2017 9:41 AM EDT
    gs said:
    Is there any warning to (potential) clients about this? Plus, I could see (maybe) this would be the case for the initial free period of support, but to block-out a client forever from receiving paid support? That seems unfair and unethical. It isn't a grey/black market purchase, but through a 'reseller'. Due to a discount offer over 2 years ago, I almost purchased through a reseller, but thought i should support SE directly. If I did choose to save a lot of $, it would have been wasted because I could never ever receive paid support from SE. When I would have found out this policy, I know I would have been fuming and made sure the world knew about this unfair practice. This policy hurts SE and the Client. smh ...

    Clients are aware or supposed to be, that they are purchasing at a big discount from a reseller. It is the same with hosting as I mentioned. 

    In most cases, this issue doesn't happen regarding subpar support from the reseller. We are reviewing issues such as this and making decisions on how to proceed. We don't want clients to have issues but we also have legal agreements with these resellers. One of which is they are to provide proper support. 

    Further discussion from clients involved should be in our support desk so we can help to resolve issues as it would require private information.

    • 28 posts
    September 29, 2017 12:40 PM EDT

    Donna and GS, appreciate both of your replies. I did not understand at the time of purchase of SE from FastComet that I would not be able to contact SE directly for support. I thought I was simply buying the same product at a discount through FastComet because I'd signed up for their hosting package and getting SE at a discount was one of the "perks" of doing business with FastComet. It's entirely possible that there was something about support in the fine print, but it wasn't something that was on my radar when the owner of the company and I made the decision to move forward with the purchase. While FastComet has done an exceptional job of hosting our website and helping with many support issues, several inquiries about the details of SE's function have led to the answer that they are a hosting company, and cannot help with website development/theme issues. This has been frustrating, because this is an area where I definitely need some help. I may contact FastComet one more time on the issues I've outlined in this thread. As a customer, I would have really appreciated knowing in no uncertain terms that I would not be able to purchase SE's support at any time in the future once I purchased the license from FastComet. Like GS said, that fact is a very important one when it comes to making a purchasing decision.

    Donna, Kyle Neal from SE contacted me on 09/25 to say that SE would not be able to help because I bought my license through FastComet. I replied to him on 09/27 and have not yet heard back from him. I would really appreciate it if SE could review this case and see if there's a way they could help me.

    Thanks much!

    Rebecca

    P.S. I believe FastComet techs told me at one point that because we were outside of the 60-day purchase window, I/they could no longer contact SE for support. Is this true? Because I thought that SE offered paid support options on an as-needed basis after the 60-day period was up? How does this work out with the reseller policy?


    This post was edited by RebeccaH at September 29, 2017 1:26 PM EDT
  • gs
    • 861 posts
    September 29, 2017 1:16 PM EDT

    ==>"...Clients are aware or supposed to be, that they are purchasing at a big discount from a reseller...."

    That's not the issue.  Obviously a person should realize they're purchase Business1's product through Business2.  What they cannot possibly be aware of is that once they do this (at a discount or not, or to get a free plugin or whatever) they will forever be banned from any support from Business1 - even if they are willing to pay for it.  Why do I get the feeling that SE 'feels' this is normal business practice? 

    ==>"...In most cases, this issue doesn't happen regarding subpar support from the reseller...."

    So what (I'm not being ignorant, I'm calmly saying 'so what')?  The issue isn't about what the reseller does or doesn't do, or is supposed to do.  It's about SE divorcing themselves from the situation forever AND hiding this fact from a potential Client.  This is a lose-lose for SE and the Client (only the reseller may have something to win here to a certain extent).

    -------------------------------------------------------------------------

    Smh... So sorry @RebeccahH that you're experiencing this issue.  And I'm glad you posted it here because if not, this unfair, ridiculous, hidden practice would not be known. 

    In addition to some 3PDs that are resellers (and hopefully they should know how SE works)  there are some hosts (as you experienced) that are also resellers (and from my experience and contact with 6 'managed hosts' that 'support' SE in some way, 3 of them Resellers, each of them specifically informed me they don't support issues within the script mainly (paraphrased) because they're a hosting company).

    Anyway, the issue is simply as I guessed, and as you stated, potential Clients have no clue they're about to forever lose (rephrase: be prevented from receiving, since one can't lose what they never had) support from SE and this is plainly wrong of SE to do (they can include whatever wording they want in their terms between them and resellers - Clients aren't aware they they're about to be burned).  What happens if I purchase from reseller Host1 and then move on to Host2 (reseller or not)?  I then have no support forever from anyone - because SE won't even let me pay them!!!

    My hope is that SE addresses this in a big way to resolve this insanity.  This is wrong.  Just wrong